<template lang="">
  <div class="card">
    <div class="card-head">{{ pokemon.name }}</div>
    <div class="card-main">
      <img :src="imageSrcComputed" alt="" />
    </div>
    <div class="card-footer">{{ typeComputed }}</div>
  </div>
</template>

<script setup>
import { computed, ref } from "@vue/runtime-core";
const isActive = ref(false);
// const emit = defineEmits("subPokemonClick");
const { pokemon } = defineProps(["pokemon"]);
const imageSrcComputed = computed(() => {
  return pokemon.sprites?.other?.home?.front_default;
});
const typeComputed = computed(() => {
  return pokemon.types.map((type) => type.type.name).toString();
});
</script>
<style lang="scss">
.card {
  max-height: 350px;
  min-height: 350px;
  max-width: 250px;
  min-width: 250px;
  display: flex;
  align-items: center;
  align-self: center;
  flex-direction: column;
  border-radius: 10px;
  box-shadow: 0px 0px 7px #666;
  opacity: 0.6;
  cursor: pointer;
  cursor: pointer;

  &:hover {
    opacity: 1;
    transition: all 0.2s ease-in;
  }

  &-head,
  &-footer {
    width: 100%;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &-main {
    width: 100%;
    height: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-top: 1px solid #c1c1c1;
    border-bottom: 1px solid #c1c1c1;
    flex: 1 1 auto;

    img {
      width: 80%;
      height: 230px;
      object-fit: cover;
    }
  }
}
</style>
